Name:           smartcardpp
Version:        0.3.0
Release:        5%{?dist}
Summary:        Library for accessing smart cards

Group:          System Environment/Libraries
License:        BSD
URL:            http://code.google.com/p/esteid/
Source0:        http://esteid.googlecode.com/files/%{name}-%{version}.tar.bz2
# Upstream patches to fix build with gcc 4.7
Patch0:         0001-Include-unistd.h-for-sleep.patch
Patch1:         0002-Fix-compat_getopt-build-with-getopt.h-installed.patch

BuildRequires:  cmake
BuildRequires:  pcsc-lite-devel
Requires:       pcsc-lite-libs%{?_isa}

%description
smartcardpp is a set of C++ classes to manage smart card
communications and implement basic command primitives.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pcsc-lite-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .unistd_h
%patch1 -p1 -b .getopt


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING NEWS
%{_bindir}/card-test
%{_libdir}/*.so.*

%files devel
%{_includedir}/smartcardpp/
%{_libdir}/*.so
%{_libdir}/pkgconfig/smartcardpp.pc


%changelog
* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Feb 25 2012 Kalev Lember <kalevlember@gmail.com> - 0.3.0-3
- Backported upstream patches to fix the build with gcc 4.7

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 12 2011 Kalev Lember <kalevlember@gmail.com> - 0.3.0-1
- Update to 0.3.0
- Dropped upstreamed patch

* Mon Jun 27 2011 Kalev Lember <kalev@smartlink.ee> - 0.2.0-3
- Fix build with GCC 4.6 (#507832)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 06 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.0-1
- Update to 0.2.0

* Mon Mar 29 2010 Kalev Lember <kalev@smartlink.ee> - 0.1.0-0.3.svn2662
- Spec file clean up
- Removed smartcard++ obsoletes / provides

* Sun Dec 06 2009 Kalev Lember <kalev@smartlink.ee> - 0.1.0-0.2.svn2267
- Renamed to smartcardpp

* Sun Dec 06 2009 Kalev Lember <kalev@smartlink.ee> - 0.1.0-0.1.svn2251
- Initial RPM release.
